#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-42asgJmBwLYDXfQ3kee4Wu
key:                  ghcide-1.10.0.0-42asgJmBwLYDXfQ3kee4Wu
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  3afd738d4e32184eab5aa00192d02018
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-42asgJmBwLYDXfQ3kee4Wu
depends:
    Diff-0.4.1-GFCkXoW1sOmEQbYHDvlnNI
    Glob-0.10.2-JVeFEC6qqQ64Hty45Py8El
    aeson-2.1.2.1-4G6NRH3Yicj9TKX8fXoWTr
    aeson-pretty-0.8.10-3gMGTHlvRlNFcX72WIXlCa array-0.5.4.0
    async-2.2.5-Hxx4nU8aNwh7V1GfZTZX85 base-4.16.4.0
    base16-bytestring-1.0.2.0-1EKQKfIbtqrKykCu8OdSyV binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-6AqTtfG0yj5cd4BFV01sh
    co-log-core-0.3.2.2-JkIBrl3CmC2ATtyDHDAqqi containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-9MEu4tFaPJgGxWAmjIEvHn
    data-default-0.7.1.1-JYvfHll1aet2HYdPlRdwv9 deepseq-1.4.6.1
    dependent-map-0.4.0.0-G7rAUdmg1m01xnI3GpPY6D
    dependent-sum-0.7.2.0-4h4ovsdit139tuGeWWRjdC directory-1.3.6.2
    dlist-1.0-LNr75TD4CZoKEEzkBmhWjA
    enummapset-0.7.3.0-KOynWyrYarA99O7Fo0sWdP exceptions-0.10.4
    extra-1.7.15-9PmwGQvWkElDwGNWrixqMB filepath-1.4.2.2
    fingertree-0.1.5.0-AJVqKDHNwtMCVCJkdhePc5
    focus-1.0.3.2-IjqLHmM7ikd6sj5IAkH1BR ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-4KTO5NPIcwgFmWlagpnOyN
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-Jz4dAXi2GxeK7wNNBAEd96
    hashable-1.4.4.0-KJ184tiZpE52U0PEHxyV1r
    hie-bios-0.12.0-5Sfor31Y15H40uVMmIgPoS
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-FtAu6AAGQPP7E8y3HPotbR
    hls-graph-1.9.0.0-7y2pZvkYmIwHHyfFLNsbki
    hls-plugin-api-1.6.0.0-GBhVrEAXY9G7a8rlmXAPNi
    implicit-hie-0.1.2.7-5PNAyDN1pjoBQ85Z0YfV1V
    implicit-hie-cradle-0.5.0.1-EQbu2NQeKCP2tNZQGb31Bi
    lens-5.2.3-JhnKgAx9k76Jin0xTqnLw0
    list-t-1.0.5.4-LWiXdd1SWXLJ5ZwTilo6U3
    lsp-1.6.0.0-3mgfXrOs4nYBY8raCTSUiO
    lsp-types-1.6.0.0-fIIuT8laV65dJgS55XZCb mtl-2.2.2
    opentelemetry-0.8.0-GdlLJq6Aw4V1DXT4JDi4aK
    optparse-applicative-0.17.1.0-AgMeQrX7nmlDOnX2xcegDb
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-6Wsg7uF6NF3C9EkVjlD5S1
    prettyprinter-ansi-terminal-1.1.3-8oO97RT2laQgzPfmsyMvY
    random-1.2.1.2-BXSdRxlC6g4I8lxfKC5NFh
    regex-tdfa-1.3.2.2-9KQuOdDpiBL9UBsQEK6k8E
    safe-exceptions-0.1.7.4-yGF8KbS5lSHGOL59YSfXx
    sorted-list-0.2.2.0-KNNiAtmyG0N38iADY52sMM
    sqlite-simple-0.4.19.0-EoVwsJejple89ItAT1affV stm-2.5.0.2
    stm-containers-1.2.0.3-G8pIXUP0Zco3FhK4OwgNzU
    syb-0.7.2.4-4iiIjHgm67gJA1HTgFmr8s text-1.2.5.0
    text-rope-0.2-LWcTQSPRYP62rsWOFGA1Qy time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-LM0KsdTS0NHVSVsirPxfP
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4hqmnCstShmJXjUlp61Lcu
    vector-0.13.1.0-xP3uH1g3cPFld8g0jCD5r

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

